Page MenuHomePhabricator

Create Wikipedia Saraiki
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Saraiki.

  • Shard: s5
  • Local file uploads: disabled

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=muswiki skr wikipedia skrwiki skr.wikipedia.org
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=skrwiki --cluster=all
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating skrwiki (T268410)"
scap sync-file wmf-config/db-codfw.php "Creating skrwiki (T268410)"
scap sync-file dblists "Creating skrwiki (T268410)"
scap sync-wikiversions "Creating skrwiki (T268410)"
scap sync-file static/images/project-logos/ "Creating skrwiki (T268410)"
scap sync-file wmf-config/InitialiseSettings.php "Creating skrwiki (T268410)"
scap sync-file langlist "Creating skrwiki (T268410)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 642891 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[operations/dns@master] Add skr to langlist helper

https://gerrit.wikimedia.org/r/642891

Change 642892 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Saraiki Wikipedia (skrwiki)

https://gerrit.wikimedia.org/r/642892

Change 642893 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/services/cxserver@master] Add skr to languages

https://gerrit.wikimedia.org/r/642893

Change 642894 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[analytics/refinery@master] Add skr.wikipedia to pageview whitelist

https://gerrit.wikimedia.org/r/642894

Change 642892 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Saraiki Wikipedia (skrwiki)

https://gerrit.wikimedia.org/r/642892

@Nintendofan885 Hey, you really don't need to update the ticket, it gets updated automatically every couple of hours.

Change 642893 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Add skr to languages

https://gerrit.wikimedia.org/r/642893

Change 642891 abandoned by Dzahn:
[operations/dns@master] Add skr to langlist helper

Reason:
duplicate of https://gerrit.wikimedia.org/r/c/operations/dns/ /643023

https://gerrit.wikimedia.org/r/642891

Change 643139 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-11-23-050106-production

https://gerrit.wikimedia.org/r/643139

Urbanecm added a subscriber: Urbanecm.

I'll prepare initial config.

@MF-Warburg According to WMF Board's licensing policy (https://foundation.wikimedia.org/wiki/Resolution:Licensing_policy), any project with local uploads enabled needs to have an exemption doctrine policy, that describes under which conditions can non-free media be uploaded. Can you please link that policy as well (prepared either at incubator or meta), so we can review it?

It can also be done at any point in the future.

@MF-Warburg I'd like to also ask for a SVG version of the logo. https://upload.wikimedia.org/wikipedia/commons/3/32/Wikipedia-logo-v2-skr.png cannot be used, because it is a) too small (the minimum is 270px * 310px, and we strongly prefer a SVG version) b) it doesn't have transparent background (so the logo would have a white background in the browser). Compare https://en.wikipedia.org/static/images/project-logos/cswiki.png and https://upload.wikimedia.org/wikipedia/commons/3/32/Wikipedia-logo-v2-skr.png in a google chrome (or any other browser that signalizes transparent background).

Change 643524 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for skrwiki

https://gerrit.wikimedia.org/r/643524

I'd like to also ask for a SVG version of the logo.

I found an SVG version of the logo at https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-skr.svg

I found it as well, but it's different from the requested logo. I'm happy to use that svg, but I'm not sure whether that is desired.

@Urbanecm They've upload an SVG version of the newer logo here but I can't upload it to Commons due to a 'href to unsafe data'

Change 643139 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-11-23-050106-production

https://gerrit.wikimedia.org/r/643139

Mentioned in SAL (#wikimedia-operations) [2020-11-30T04:26:22Z] <kart_> Updated cxserver to 2020-11-23-050106-production (T262253, T268410)

Since there have been no replies on the Meta pages wrt an exemption doctrine policy, I suggest to just continue creating the wiki without local uploads enabled. It can be changed later if they decide to create one.

Since there have been no replies on the Meta pages wrt an exemption doctrine policy, I suggest to just continue creating the wiki without local uploads enabled. It can be changed later if they decide to create one.

Okay, noted. Thanks!

Change 646732 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add skrwiki and skrwiktionary to rtl.dblist

https://gerrit.wikimedia.org/r/646732

Thanks, that works. Updated my config patch.

Hello everyone, this wiki's creation was scheduled for Tuesday, 2020-12-15, 13:00-15:00 UTC.

MominDahri rescinded a token.
MominDahri added a subscriber: MominDahri.

Change 643524 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for skrwiki

https://gerrit.wikimedia.org/r/643524

Mentioned in SAL (#wikimedia-operations) [2020-12-15T14:58:40Z] <urbanecm@deploy1001> Synchronized wmf-config/db-eqiad.php: Creating skrwiki (T268410) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T14:59:46Z] <urbanecm@deploy1001> Synchronized wmf-config/db-codfw.php: Creating skrwiki (T268410) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:00:44Z] <urbanecm@deploy1001> Synchronized dblists: Creating skrwiki (T268410) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:02:09Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating skrwiki (T268410)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:03:07Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating skrwiki (T268410) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:04:09Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating skrwiki (T268410) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:05:05Z] <urbanecm@deploy1001> Synchronized langlist: Creating skrwiki (T268410) (duration: 00m 54s)

Change 649658 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix timezone for skrwiki and skrwiktionary

https://gerrit.wikimedia.org/r/649658

Mentioned in SAL (#wikimedia-operations) [2020-12-15T15:12:20Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Fix timezone config for skrwiki to unbreak it (T268410) (duration: 00m 54s)

Change 646732 merged by Urbanecm:
[operations/mediawiki-config@master] Add skrwiki and skrwiktionary to rtl.dblist

https://gerrit.wikimedia.org/r/646732

Change 649658 merged by Urbanecm:
[operations/mediawiki-config@master] Fix timezone for skrwiki and skrwiktionary

https://gerrit.wikimedia.org/r/649658

Hey @Kaleem_Bhatti, content from incubator will be imported soon by other
team member (probably @Jhs or @MF-Warburg). You don't need to do anything,
just wait until it is done.

Importing new wikis requires elevated permissions, which are not granted
freely, and will not be granted "just because you want to import your new
wiki".

If you wish to get involved with wiki creation generally, that's great, and
I would recommend you to contact either @Jhs or @MF-Warburg to guide you
further.

Importing new wikis requires elevated permissions, which are not granted
freely, and will not be granted "just because you want to import your new
wiki".

If you wish to get involved with wiki creation generally, that's great, and
I would recommend you to contact either @Jhs or @MF-Warburg to guide you
further.

st 16. 12. 2020 v 7:41 odesílatel Kaleem_Bhatti <
no-reply@phabricator.wikimedia.org> napsal:

Kaleem_Bhatti added a comment. View Task
https://phabricator.wikimedia.org/T268410

@Urbanecm https://phabricator.wikimedia.org/p/Urbanecm/ but I want to
leran it

*TASK DETAIL*
https://phabricator.wikimedia.org/T268410

*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

*STAMPS*
actor(@Kaleem_Bhatti) application(Maniphest) author(@MF-Warburg)
herald(H9) herald(H176) herald(H293) herald(H352) mention(@Urbanecm)
monogram(T268410) object-type(TASK) phid(PHID-TASK-yw46gnuw5pij7a526utf)
space(S1) subscriber(@Aklapper) subscriber(@CptViraj) subscriber(@Jogi_don)
subscriber(@Kaleem_Bhatti) subscriber(@Ladsgroup) subscriber(@MF-Warburg)
subscriber(@MominDahri) subscriber(@Nintendofan885) subscriber(@Urbanecm)
subtype(default) tag(Patch-For-Review) tag(User-Urbanecm)
tag(Wikimedia-Language-setup) tag(PHID-PROJ-dtq7qk7vs7aizqljls5t)
tag(PHID-PROJ-kmpu7gznmc2edea3qn2x) task-owner(@Urbanecm) task-priority(25)
task-status(resolved) via(web)

*To: *Urbanecm, Kaleem_Bhatti
*Cc: *MominDahri, Jogi_don, Urbanecm, CptViraj, Kaleem_Bhatti, Ladsgroup,
Nintendofan885, Aklapper, MF-Warburg, Alter-paule, Beast1978, Un1tY,
Killarnee, Hook696, Kent7301, Dibya, joker88john, 94rain, DannyS712,
CucyNoiD, Tks4Fish, Awangba_Mangang, Gaboe420, Jony, Giuliamocci, Cpaulf30,
Joseagush, Af420, JunaidHafeez, BJ6123C7BTD, Bsandipan, Jayprakash12345,
Acer, Kizule, Lewizho99, Maathavan, DatGuy, Devwaker, Niklitov, Vikoula5,
JEumerus, StevenJ81, Ananthsubray, Superzerocool, Tulsi_Bhagat, Wong128hk,
Luke081515, SimmeD, Wiki13, Snowolf, Dcljr, Ebe123, Koavf, jeblad,
Rschen7754, Billinghurst, Matanya, Mbch331, jhsoby, Rxy, Jay8g, Krenair,
Dzahn

@MF-Warburg can you help me

Change 642894 merged by Joal:
[analytics/refinery@master] Add skr.wikipedia to pageview whitelist

https://gerrit.wikimedia.org/r/642894

@Kaleem_Bhatti: This task is about creating a website; see the topic. This task is not about importing stuff. Please refer to other places instead. Thanks a lot! :)

jhsoby added a subscriber: jhsoby.

@Kaleem_Bhatti: This task is about creating a website; see the topic. This task is not about importing stuff. Please refer to other places instead. Thanks a lot! :)

I consider the import an integral part of the creation of a wiki – and it is mentioned in the task description, so it is not an unreasonable place to ask. :-)

Anyways, the import is finished now, @Kaleem_Bhatti.